Loading...
Searching...
No Matches
XdbcFirebirdSqlUtilBase::XdbcFirebirdIndex Class Reference

represents a Firebird-specific index More...

Inheritance diagram for XdbcFirebirdSqlUtilBase::XdbcFirebirdIndex:
[legend]

## Public Member Functions

| constructor (string name, bool unique, hash< auto > cols)
| creates the object from the arguments
string | getCreateSql (string table_name, *hash< auto > opt)
| returns a string that can be used to create the index in the database
string | getDropSql (string table_name)
| returns a string that can be used to drop the index from the table
string | getRenameSql (string table_name, string new_name)
| returns a string that can be used to rename the index in the database

## Protected Member Functions

bool | equalImpl (AbstractIndex ix)
| returns True if the argument is equal to the current index, False if not

## Detailed Description

represents a Firebird-specific index

## Member Function Documentation

## getRenameSql()

string XdbcFirebirdSqlUtilBase::XdbcFirebirdIndex::getRenameSql | ( | string | table_name,
|  | string | new_name
| ) |  |

virtual

returns a string that can be used to rename the index in the database

however xdbcfirebird does not support renaming indexes, so the index is dropped and recreated

Implements SqlUtil::AbstractIndex.